> ## Documentation Index
> Fetch the complete documentation index at: https://docs.crosoftware.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Asset by Number

> Get asset by asset number.



## OpenAPI

````yaml /spec/oas.yaml get /asset_types/{asset_type_id}/assets/{asset_number}
openapi: 3.0.3
info:
  title: CRO Software API
  version: 2.x
  description: >-
    REST API for the CRO Software waste management and logistics platform.
    Authenticate via OAuth2 (client_credentials or authorization_code). All
    requests require a Bearer token and an X-Tenant-Id header.
servers:
  - url: https://api.crosoftware.com/v0
    description: Production
security: []
paths:
  /asset_types/{asset_type_id}/assets/{asset_number}:
    get:
      tags:
        - Assets
      summary: Get Asset by Number
      description: Get asset by asset number.
      operationId: assets_get_asset_by_number
      parameters:
        - name: asset_type_id
          in: path
          required: true
          schema:
            type: integer
            format: int64
            description: Selected asset for the job (job types 'D', 'L', 'E').
        - name: asset_number
          in: path
          required: true
          schema:
            type: string
            description: User assigned asset number (free text).
        - name: x-api-version
          in: header
          required: false
          schema:
            type: string
            description: Version identifier (date format).
        - name: x-tenant-id
          in: header
          required: true
          schema:
            type: integer
            format: int64
            description: >-
              Tenant identifier. Contact [CRO
              Software](https://crosoftwaresolutions.com/) for more info if you
              don't already have this id. See [list tenant
              ids](/docs/requests/tenants_list_tenants) for info on listing the
              tenants you have access to.
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AssetModel'
      security:
        - oauth2:
            - api
components:
  schemas:
    AssetModel:
      type: object
      description: Asset model.
      properties:
        asset_type_id:
          type: integer
          format: int64
          description: Selected asset for the job (job types 'D', 'L', 'E').
        asset_type_name:
          type: string
          description: Asset type name.
        condition:
          type: integer
          description: Asset condition id.
        is_anonymous:
          type: boolean
          description: Indicates whether this asset has a user-assigned asset id.
        last_incident_id:
          type: integer
          format: int64
          description: Resource identifier.
        last_job_completion_date:
          type: string
          format: date-time
          description: Scheduled job completion date.
        last_job_id:
          type: integer
          format: int64
          description: Job id for this asset.
        last_job_type:
          type: string
          description: Request type of the last completed job for this asset.
        last_job_type_name:
          type: string
          description: Display name of the request type for the last completed job.
        last_serviced_on:
          type: string
          format: date-time
          description: Scheduled job completion date.
        location:
          $ref: '#/components/schemas/AssetLocationModel'
        number:
          type: string
          description: Asset identifier.
        provider_location_id:
          type: integer
          format: int64
          description: Provider location id for this asset.
      required:
        - asset_type_id
        - asset_type_name
        - condition
        - is_anonymous
        - last_incident_id
        - last_job_completion_date
        - last_job_id
        - last_job_type
        - last_job_type_name
        - last_serviced_on
        - location
        - number
        - provider_location_id
    AssetLocationModel:
      type: object
      description: Asset location model.
      properties:
        address:
          $ref: '#/components/schemas/LocationAddressModel'
        customer_id:
          type: integer
          format: int64
          description: Customer identifier.
        description:
          type: string
          description: >-
            Asset location description (customer name, holding yard name, or
            location name).
        holding_yard_id:
          type: integer
          format: int64
          description: >-
            Holding yard for this asset. Not null if customer_id is null and
            in_main_inventory is false.
        in_main_inventory:
          type: boolean
          description: Currently always true.
        last_moved_on:
          type: string
          format: date-time
          description: Scheduled job completion date.
        name:
          type: string
          description: Customer name, holding yard name, or location main inventory name.
      required:
        - address
        - customer_id
        - description
        - holding_yard_id
        - in_main_inventory
        - last_moved_on
        - name
    LocationAddressModel:
      type: object
      description: Location address profile.
      properties:
        id:
          type: integer
          format: int64
          description: Location address id, always null (synthesized).
        latitude:
          type: string
          description: Latitude.
        line_1:
          type: string
          description: Location address line 1.
        line_2:
          type: string
          description: Location address line 2, always null (synthesized).
        line_3:
          type: string
          description: Location address line 3, always null (synthesized).
        line_4:
          type: string
          description: Location address line 4, always null (synthesized).
        locality:
          type: string
          description: City.
        longitude:
          type: string
          description: longitude.
        postcode:
          type: string
          description: Zip code.
        region:
          type: string
          description: State.
      required:
        - id
        - latitude
        - line_1
        - locality
        - longitude
        - region
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: REPLACE_WITH_AUTH_BASE_URL/oauth2/token
          scopes:
            api: General API access
            webhook: Webhook management
        authorizationCode:
          authorizationUrl: REPLACE_WITH_AUTH_BASE_URL/oauth2/auth
          tokenUrl: REPLACE_WITH_AUTH_BASE_URL/oauth2/token
          scopes:
            api: General API access
            webhook: Webhook management

````